DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
FGCTAcquisitionType Class Reference

Class representing the "CT Acquisition Type" Functional Group Macro. More...

Inheritance diagram for FGCTAcquisitionType:

## Public Member Functions
| FGCTAcquisitionType ()
| Constructor, creates empty functional group.
virtual | ~FGCTAcquisitionType ()
| Virtual destructor.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns shared functional group type.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete.
virtual OFCondition | read (DcmItem &item)
| Read CT Acquisition Type Sequence from given item.
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into CT Acquisition Type Sequence (newly created) into given item.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
virtual OFCondition | getAcquisitionType (OFString &value, const signed long pos=0)
| Get Acquisition Type.
virtual OFCondition | getTubeAngle (Float64 &value, const unsigned long pos=0)
| Get Tube Angle.
virtual OFCondition | getConstantVolumeFlag (OFString &value, const signed long pos=0)
| Get Constant Value Flag.
virtual OFCondition | getConstantVolumeFlag (E_ConstantVolumeFlag &value, const signed long pos=0)
| Get Constant Value Flag.
virtual OFCondition | getFluoroscopyFlag (OFString &value, const signed long pos=0)
| Get Fluoroscopy Flag.
virtual OFCondition | getFluoroscopyFlag (E_FluoroscopyFlag &value, const signed long pos=0)
| Get Fluoroscopy Flag.
virtual OFCondition | setAcquisitionType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Acquisition Type.
virtual OFCondition | setTubeAngle (const Float64 &value, const OFBool checkValue=OFTrue)
| Set Tube Angle.
virtual OFCondition | setConstantVolumeFlag (const E_ConstantVolumeFlag &value, const OFBool checkValue=OFTrue)
| Set Constant Volume Flag.
virtual OFCondition | setConstantVolumeFlag (const OFString &value, const OFBool checkValue=OFTrue)
| Set Constant Volume Flag.
virtual OFCondition | setFluoroscopyFlag (const E_FluoroscopyFlag &value, const OFBool checkValue=OFTrue)
| Set Fluoroscopy Flag.
virtual OFCondition | setFluoroscopyFlag (const OFString &value, const OFBool checkValue=OFTrue)
| Set Fluoroscopy Flag.
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
DcmCodeString | m_AcquisitionType
| Acquisition Type (CS, VM 1, Required type 1)
DcmFloatingPointDouble | m_TubeAngle
| Tube Angle (FD, 1, 1)
DcmCodeString | m_ConstantVolumeFlag
| Constant Volume Flag (CS, 1, 1)
DcmCodeString | m_FluoroscopyFlag
| Fluoroscopy Flag (CS, 1, 1)

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the "CT Acquisition Type" Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTAcquisitionType::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGCTAcquisitionType::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGCTAcquisitionType::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ getAcquisitionType()

virtual OFCondition FGCTAcquisitionType::getAcquisitionType | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Acquisition Type.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getConstantVolumeFlag() [1/2]

virtual OFCondition FGCTAcquisitionType::getConstantVolumeFlag | ( | E_ConstantVolumeFlag & | value,
|  | const signed long | pos = 0 )
| virtual

Get Constant Value Flag.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getConstantVolumeFlag() [2/2]

virtual OFCondition FGCTAcquisitionType::getConstantVolumeFlag | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Constant Value Flag.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getFluoroscopyFlag() [1/2]

virtual OFCondition FGCTAcquisitionType::getFluoroscopyFlag | ( | E_FluoroscopyFlag & | value,
|  | const signed long | pos = 0 )
| virtual

Get Fluoroscopy Flag.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getFluoroscopyFlag() [2/2]

virtual OFCondition FGCTAcquisitionType::getFluoroscopyFlag | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Fluoroscopy Flag.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGCTAcquisitionType::getSharedType | ( |  | ) | const
| inline virtual

Returns shared functional group type.

Returns
  The functional group type (DcmFGTypes::EFGS_BOTH)

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ getTubeAngle()

virtual OFCondition FGCTAcquisitionType::getTubeAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Tube Angle.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ read()

virtual OFCondition FGCTAcquisitionType::read | ( | DcmItem & | item | ) |
| virtual

Read CT Acquisition Type Sequence from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setAcquisitionType()

virtual OFCondition FGCTAcquisitionType::setAcquisitionType | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Acquisition Type.

Parameters

  value | Value that should be set
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setConstantVolumeFlag() [1/2]

virtual OFCondition FGCTAcquisitionType::setConstantVolumeFlag | ( | const E_ConstantVolumeFlag & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Constant Volume Flag.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setConstantVolumeFlag() [2/2]

virtual OFCondition FGCTAcquisitionType::setConstantVolumeFlag | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Constant Volume Flag.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setFluoroscopyFlag() [1/2]

virtual OFCondition FGCTAcquisitionType::setFluoroscopyFlag | ( | const E_FluoroscopyFlag & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Fluoroscopy Flag.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setFluoroscopyFlag() [2/2]

virtual OFCondition FGCTAcquisitionType::setFluoroscopyFlag | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Fluoroscopy Flag.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setTubeAngle()

virtual OFCondition FGCTAcquisitionType::setTubeAngle | ( | const Float64 & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Tube Angle.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTAcquisitionType::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into CT Acquisition Type Sequence (newly created) into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctacquisitiontype.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2